@import "../common.css";
@import "../swiper/swiper.min.css";
@import "../fontawesome.min.css";
@import "timeline.css";
@import "map.css";
@import "heroes-and-books.css";
@import "search.css";
@import "index-info.css";


body.FullScreen {
  overflow:hidden;
}

ins{text-decoration:none;}

#wrapper{
  margin:0 10px;
  background-color: #eaedef !important;
}


#first-container {
  opacity:1;
}

/* HEADER */

#center-group img {

  @media (min-width: 992px) {
    display:none;
  };
}

/* VIDEO */

.fullscreen-video-container {
  position: relative;
  height: 80vh;
  width: 100%;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-top:80px;
}



.fullscreen-video-content {
  padding: 0;
  width: 70%;
  z-index: 10;
  position: relative;

  @media (max-width: 576px) {
    width: 90%;
  };


}


/* Основной контейнер для видео */
.video-background {
    position: fixed; /* Фиксированное позиционирование */
    top: 0;
    left: 0;
    width: 100vw; /* На всю ширину экрана */
    height: 100vh; /* На всю высоту экрана */
    overflow: hidden; /* Скрыть всё, что выходит за пределы */
    z-index: -1; /* Отправляем видео на задний план */
}

/* Стили для видео */
video#bg-video {
    position: absolute;
    top: -25%;
    left: -25%;
    width: 100%;
    height: 100%;
    object-fit: cover; /* Заполнение всего пространства без искажений */
    transform: translate(-50%, -50%); /* Центрирование */

    transform: scale(1.5); /* Увеличивает видео в 1.5 раза */
    transform-origin: center center;


  @media (max-width: 991.9px) {
    top: -0%;
    left: -0%;
  };


}







/* Скроллбокс в середине */
.scroller-box {
  display:none;
  color:#fff;
  height: 100%;
  min-height: 400px;
  position: relative;
  background-size: cover;
}

.scroller-box.active {display:block;}


.scroller-box .scroller-box-subtitle {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  text-align: center;
}

.scroller-box .scroller-box-left-button {
  display: block;
  position: absolute;
  top: 45%;
  left: 10px;
}

.scroller-box .scroller-box-right-button {
  display: block;
  position: absolute;
  top: 45%;
  right: 10px;
}

.scroller-box .scroller-box-link {
  display: block;
  position: absolute;
  bottom: 49%;
  left: 50px;
  right: 50px;
  text-align: center;
}

.scroller-box .scroller-box-link i{
  padding:2px 5px;
  display:inline-block;
  margin-bottom:15px;
  background-color:#f6630b;
  color:#fff;
}


.scroller-box .scroller-box-link h2 a{
  display:inline-block;
  color:#fff;
}



.centered-bg ul{
  padding: 20px; /* Отступы внутри блока */
  display:flex;
  background-color:red;
}

.centered-bg ul li{
  flex-grow: 1;
  list-style-type: none;
  flex-grow: 1;
  background-color:#7f8385;
}

.centered-bg ul li.active{
  background-color:#f6630b;
}


/* Первый ряд новостей на главной - фото и белый фон с сылкой*/

.article-block-1, .articles-row-1-banner {
  margin-top:-25px;
  z-index:100;

  @media (max-width: 992px) {
    margin-top:0;
  };


}

.article-block-1 div.ab-wrapper{
  background-color:#fff;
}

div.ab-wrapper, a.top-block {
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.1);
}

div.ab-wrapper:hover, a.top-block:hover {
  box-shadow: 0 4px 12px rgba(0, 0, 0, 0.15);
}

/* .article-block-1:nth-child(1) div.ab-wrapper{
  margin-right:15px;
}
.article-block-1:nth-child(3) div.ab-wrapper{
  margin-left:15px;
}  */

.article-block-1 a.ab-image:hover + .link-wrapper a{
  border-bottom:1px solid var(--hover-white);
}


.article-block-1 a.ab-image{
  display:block;
  background-position:center; 
  background-size:cover; 
  width:100%; 
  height:200px;
}

.article-block-1 span.link-wrapper{
  display:block;
}

.article-block-1 span.link-wrapper a {
  font-family: "Noto Sans Display", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-size: 1.25rem;
  line-height:1.75rem;  
  font-style: normal;
  color:#2b131a;
}

.article-block-1 span.link-wrapper a:hover{
  border-bottom:1px solid var(--hover-white);
}


.article-block-1 span.tags a{
  font-family: "Noto Sans Display", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-size: 0.75rem;
  line-height:1.75rem;  
  font-style: normal;
  text-decoration:none;
  color:#426b83;
}

/* Первый ряд - баннер */
.articles-row-1-banner{
}


.articles-row-1-banner .top-block {
  height: 100%; /* Занимаем всю высоту колонки */
  min-height: 300px; /* Занимаем всю высоту колонки */

  display: flex;
  justify-content: center; /* Распределяем пространство между элементами */
  align-items: center; /* Центрируем элементы по горизонтали */
  text-align: center; /* Центрирование текста по горизонтали */
  flex-direction: column;

  font-weight: 600;
  font-style: normal;
  color:#fff;
 text-decoration:none;

  background-size: cover;
  background-position: center;
}


.articles-row-1-banner .top-block div {
  height: 100%; /* Занимаем всю высоту колонки */
  display: flex;
  justify-content: center; /* Распределяем пространство между элементами */
  align-items: center; /* Центрируем элементы по горизонтали */
  text-align: left; /* Центрирование текста по горизонтали */
  flex-direction: column;

  background: rgb(0,145,246);
  background: linear-gradient(28deg, rgba(0,145,246,0.6223739495798319) 0%, rgba(58,2,2,0.7960434173669468) 75%);

}

.articles-row-1-banner a.top-block div ins span.link{
font-weight: 600;
    font-size: 1.25rem;
    line-height: 1.85rem; 
}

.articles-row-1-banner a.top-block:hover div ins span.link{
  border-bottom:1px solid var(--hover-white);
  display:inline!important;

}

.articles-row-1-banner a.top-block span.author {
  display:block;
  margin-top: 10px;
  font-size:0.8rem;
  line-height:1.2rem;
  font-style:Italic;
}

.articles-row-1-banner a.top-block span.author:before {
    content: '\2014\00A0';
}

.articles-row-1-banner a.top-block span.author:empty{
  display:none;
}


.link-wrapper span.author{
  margin-top:10px;
  display:block;
  font-size: 0.8rem;
  line-height: 1.2rem;
  font-style:Italic;
}
.link-wrapper span.author:before{
  content: '\2014\00A0';
}

.link-wrapper span.author:empty{
  display:none;
}


.articles-scroll .top-block h2 a{
  font-family: "Noto Sans Display", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  line-height:1.75rem;  
  font-style: normal;
 font-size: 2rem;

 color:#fff;
 text-decoration:none;
}



/* ВТОРОЙ РЯД */
#heroes-info {
  background-color:#fff;
  background-image: url(../../img/bg-1.jpg);
  background-position:bottom;
  background-size:80%;
  background-repeat:no-repeat;
}


/* Баннер - 2 версия*/
.large-banner-container {
  background-color:#000;
  background-image:url('/assets/template/img/1.jpg');
  background-size:cover;

  background-position:center;

  display: grid;
  grid-template-columns: 1fr; /* По умолчанию 1 колонка (мобильные) */
  gap: 16px; /* Отступ между блоками */
  padding: 16px; /* Отступы по краям */
  color:#fff;

}

.large-banner-item {
  background: none;
  padding: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.large-banner-item a {
  text-decoration:none;
}

.item-1 div {
  padding:0 0 25px 0;
}


.item-1 a:nth-child(1){
  font-family: "Noto Sans Display", sans-serif;
  font-weight: 600;
  text-transform:uppercase;
  color:var(--yellow);
  font-size: 0.8rem;
}

.item-1 a:nth-child(1):hover{
  border-bottom:1px solid var(--hover-orange);
}

.item-1 a:nth-child(2){
  display:inline;
  font-family: "Noto Sans Display", sans-serif;
  font-weight: 600;
  font-size: 2.25rem;
  line-height:3rem;  
  color:#fff;
  font-weight:bold;

}

.item-1 span, .item-2 span,.item-3 span {
  margin:15px 0 0 0;
  display:block;
  font-style: italic;
}

.large-banner-item  span:before{
  content:'\2014\00A0';
}

.item-2 span,.item-3 span{
  font-size:0.9rem;
  color:#e5e5e5;
}


.item-1 {

}
.item-2, .item-3 {
  border-top:3px solid var(--yellow);
}

.item-2 a, .item-3 a{
  color:#fff;
}

.item-1 a:hover, .item-2 a:hover, .item-3 a:hover{
  /* color:#caebff; */
  border-bottom:1px solid #c8c8c8;
}


/* На десктопах (ширина экрана ≥ 768px) */
@media (min-width: 768px) {
  .large-banner-container {
    grid-template-columns: 1fr 1fr; /* 2 колонки */
    grid-template-rows: 2fr 1fr;
    grid-template-areas: 
      "item-1 item-1" /* Первый блок на всю ширину */
      "item-2 item-3"; /* Два блока во второй строке */
  }

  .item-1 {
    grid-area: item-1;
  }

  .item-2 {
    grid-area: item-2;
  }

  .item-3 {
    grid-area: item-3;
  }
}





/* Баннер */
#tag-line{
  display:block;
  width:100%;
  text-align:right;
}

#tag-line a{
  font-family: "Noto Sans Display", sans-serif;
  font-optical-sizing: auto;
  font-weight: 600;
  font-size: 0.75rem;
  line-height: 1.75rem;
  font-style: normal;
  text-decoration: none;
  color: #fff;

  border-radius: 10px;
  padding: 3px 15px;
  margin-left: 15px;
  background-color: #920016;
}

.articles-scroll.active {
    display: initial;
}

.articles-scroll{
  display:none;
  background-image: url(img/tec-12.jpg); 
  background-size: cover; /* Растягиваем изображение на весь блок */
  background-position: center; /* Центрируем изображение */
}

.articles-scroll .top-block {

    height: 90%; /* Занимаем всю высоту колонки */
    min-height:300px;
    display: flex;
    justify-content: space-between; /* Распределяем пространство между элементами */
    align-items: center; /* Центрируем элементы по горизонтали */
    color: white; /* Цвет текста */
    text-align: center; /* Центрирование текста по горизонтали */
    flex-direction: column;
}
.articles-scroll .bottom-block {
    height: 100%; /* Занимаем всю высоту колонки */
    min-height:50px;
    display: flex;
    justify-content: space-between; /* Распределяем пространство между элементами */
    align-items: center; /* Центрируем элементы по горизонтали */
    color: white; /* Цвет текста */
    text-align: center; /* Центрирование текста по горизонтали */
    height: 10%; /* Занимаем всю высоту колонки */
    column-gap:15px;
}

.top-block span a{
  color:#fff;
}

.bottom-block .article-toggler.active
{
    background:#b70000;
}
.bottom-block .article-toggler{
  flex-grow: 1;
  background:#fff;
  height:3px;
}




/* 4 ряд 
#row-4-banner-1{
  padding-right:20px!important;
}

#row-4-banner-2{
  padding:0 10px!important;
}

#row-4-banner-3{
  padding-left:20px!important;
}


@media (max-width: 768px) {
  #row-4-banner-1, #row-4-banner-2, #row-4-banner-3 {
        padding:0!important;
  }
}        */


#row-4 a img{
  width:100%;
}

#row-4 ul.video-photo-list{
  margin: 0;
}

#row-4 ul.video-photo-list {
  list-style-type: none;
}


#row-4 ul.video-photo-list > li:before {
  content: "— ";
  color:#fff;
}

#row-4 ul.video-photo-list > li a{
  color:#fff;
}




/* Бессмертный полк */
#bp-container{
  background-color:#fff;
  margin:50px 0;


}

div.video-container.active{
  position: fixed;
  left:0;
  top:0;
  height:100vh;
  z-index:999;     
}


.video-container.active div#vcwrap{
  height:100vh;
}


div#polk-container{
/*  background-image: url(../img/polk-bg.jpg);
  background-size:cover;
  margin-top:-75px;
  width:100%;             */
  position: relative;     
}


div#polk-container #max{
  position:absolute;
  right:10px;
  top:10px;
  color:#e5e8f3;
  display:none;
  cursor:pointer;
  display:inline;
}

div#polk-container #max.active{
  display:none!important;
}



div#polk-container span img{
  width:100%;
  max-width:500px;
}


#polk-wrapper {
  overflow-x:hidden;

}

.polk-row {
  display:block;
  white-space: nowrap;
}

.polk-row div{
  padding:25px;
  color:#fff;
  display:inline-block;
  box-shadow: 0 0 10px #000000;
  border: 1px solid #6f6f6f;
  border-radius:2px;
  margin:30px;
  background-color:#5e5e5e2e;
}

.polk-row div a{
  color:#fff;
  text-decoration:none;
  padding:5px 0px;
}

.polk-row div img {
  height:80px;
  display:block;
  margin:0px auto 10px auto;
}


.video-container {
    position: relative;
    width: 100%; /* Ширина контейнера */
    min-height: 400px; /* Высота контейнера */
    overflow: hidden; /* Обрезаем видео, если оно выходит за границы */



}

.video-container div#vcwrap{
  position:relative;
  z-index:10;
  background-color:#00000094;
}

.video-container video {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 100%;
    height: 100%;
    object-fit: cover; /* Заполнение контейнера с сохранением пропорций */
    transform: translate(-50%, -50%); /* Центрирование видео */
    z-index:0;
}




.title-with-line img.icon {
  height:35px; 
  padding-right:10px;	
}

.title-with-line {
  display: block;
}





a#letter {
  display: block;
  background-color:#fff;
  border-top:5px solid #e0a151;
  border-bottom:5px solid #e0a151;
  font-size:1.25em;
  text-decoration:none;
}

a#letter img {width:100px; margin-bottom:50px;}



@media (max-width: 1200px) {
  .fullscreen-video-container video {
/*    top: 60%; */
  }

  #nav-addon {display:none;}
}

@media (max-width: 992px) {
  .fullscreen-video-container video {
/*    top: 70%;     */
  }


}

@media (max-width: 700px) {
  header #logo a img {
    width: 100px;
  }

  header #logo > img {
    margin-left: 20px;
    width: 10rem;
  }

  header #nav-button {
    top: 15px;
    right: 10px;
  }

  .fullscreen-video-container {
    height: 60vh;
  }
}

@media (max-height: 700px) {
  .fullscreen-video-container {
    height: 500px;
  }
}

@media (max-height: 500px) {
  .fullscreen-video-container {
    height: 500px;
  }
}